package com.zjsgfa.project.zjsgfa.mapper;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjSggyZjzhcs;

/**
 * 设计-钻具组合参数Mapper接口
 * 
 * @author ruoyi
 * @date 2025-08-18
 */
public interface SjSggyZjzhcsMapper 
{
    /**
     * 查询设计-钻具组合参数
     * 
     * @param id 设计-钻具组合参数主键
     * @return 设计-钻具组合参数
     */
    public SjSggyZjzhcs selectSjSggyZjzhcsById(Long id);

    /**
     * 查询设计-钻具组合参数列表
     * 
     * @param sjSggyZjzhcs 设计-钻具组合参数
     * @return 设计-钻具组合参数集合
     */
    public List<SjSggyZjzhcs> selectSjSggyZjzhcsList(SjSggyZjzhcs sjSggyZjzhcs);

    /**
     * 新增设计-钻具组合参数
     * 
     * @param sjSggyZjzhcs 设计-钻具组合参数
     * @return 结果
     */
    public int insertSjSggyZjzhcs(SjSggyZjzhcs sjSggyZjzhcs);

    /**
     * 修改设计-钻具组合参数
     * 
     * @param sjSggyZjzhcs 设计-钻具组合参数
     * @return 结果
     */
    public int updateSjSggyZjzhcs(SjSggyZjzhcs sjSggyZjzhcs);

    /**
     * 删除设计-钻具组合参数
     * 
     * @param id 设计-钻具组合参数主键
     * @return 结果
     */
    public int deleteSjSggyZjzhcsById(Long id);

    /**
     * 批量删除设计-钻具组合参数
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjSggyZjzhcsByIds(Long[] ids);

    int deleteSjSggyZjzhcsByZjzhcs(SjSggyZjzhcs sjSggyZjzhcs);

    SjSggyZjzhcs selectSjSggyZjzhcsByZjzhcs(SjSggyZjzhcs sjSggyZjzhcs);

}
